using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.BusinessLogicContracts;
using CaseAccountingContracts.ViewModels;
using Microsoft.AspNetCore.Mvc;

namespace CaseAccountingRestApi.Controllers
{
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class ReportProviderController : Controller
    {
        private readonly IReportProviderLogic reportLogic;

        public ReportProviderController(IReportProviderLogic reportLogic)
        {
            this.reportLogic = reportLogic;
        }

        [HttpPost]
        public byte[] SpecializationCaselist(CaseSpecializationListBindingModel listModel)
        {
            byte[] file = reportLogic.SaveListFile(listModel);
            return file;
        }

        [HttpPost]
        public List<ReportHearingLawyerViewModel> GetReportData(ReportBindingModel reportModel)
        {
            var list = reportLogic.GetHearingLawyer(reportModel);
            return list;
        }

        [HttpPost]
        public void SendByMailStatusReport(ReportBindingModel reportModel)
        {
            reportLogic.SendByMailStatusReport(reportModel);
        }
    }
}
